import java.util.Random;
import vrml.BaseNode;
import vrml.Browser;
import vrml.Event;
import vrml.field.MFNode;
import vrml.node.Script;

public class DynamicGen extends Script {
   MFNode addSphere;
   Random randomNumGenerator = new Random();
   float posX;

   public void initialize() {
      this.addSphere = (MFNode)((Script)this).getEventOut("addSphere");
   }

   public void processEvent(Event var1) {
      if (var1.getName().equals("touched")) {
         String var2 = "Transform {    translation ";
         String var3 = "        0.0 0.0     children[    Shape{geometry Sphere{}          appearance Appearance{              material Material{diffuseColor ";
         String var4 = "              }          }    }    ]}";
         float var5 = this.randomNumGenerator.nextFloat();
         float var6 = this.randomNumGenerator.nextFloat();
         float var7 = this.randomNumGenerator.nextFloat();
         Browser var8 = ((BaseNode)this).getBrowser();
         this.posX += 3.0F;

         try {
            BaseNode[] var9 = var8.createVrmlFromString(var2 + this.posX + var3 + var5 + " " + var6 + " " + var7 + var4);
            if (var9 != null) {
               this.addSphere.setValue(var9);
               return;
            }
         } catch (Exception var11) {
            ((Throwable)var11).printStackTrace();
            return;
         }
      }

   }
}
